/* Common target-dependent definitions for FreeBSD systems.
   Copyright (C) 2002 Free Software Foundation, Inc.

   Portions cloned from nbsd-tdep.h by krk@specifix.com

   This file is part of GDB.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 51 Franklin Street, Fifth Floor,
   Boston, MA 02110-1301, USA.  */

#ifndef FBSD_TDEP_H
#define FBSD_TDEP_H

struct link_map_offsets *fbsd_ilp32_solib_svr4_fetch_link_map_offsets (void);
struct link_map_offsets *fbsd_lp64_solib_svr4_fetch_link_map_offsets (void);

int fbsd_pc_in_sigtramp (CORE_ADDR, char *);

#endif /* FBSD_TDEP_H */
