# $Id: Makefile.opcodes.inc 579281 2013-05-01 00:22:24Z ib-builder $

_opcodes_srcs = \
	opcodes/dis-buf.c \
	opcodes/dis-init.c \
	opcodes/disassemble.c

.if ${TARGET_ARCH} == "arm"

_opcodes_srcs+= opcodes/arm-dis.c \

XCFLAGS_disassemble += -DARCH_arm

.endif

.if ${TARGET_ARCH} == "mips"

_opcodes_srcs+= \
	opcodes/mips-dis.c \
	opcodes/mips-opc.c \
	opcodes/mips16-opc.c

XCFLAGS_disassemble += -DARCH_mips

.endif

.if ${TARGET_ARCH} == "i386" || ${TARGET_ARCH} == "amd64"

_opcodes_srcs+= opcodes/i386-dis.c

XCFLAGS_disassemble += -DARCH_i386

.endif

.if ${TARGET_ARCH} == "powerpc" || ${TARGET_ARCH} == "powerpc64"

_opcodes_srcs+= \
	opcodes/ppc-dis.c \
	opcodes/ppc-opc.c

XCFLAGS_disassemble += -DARCH_powerpc -DARCH_rs6000

.endif
